$(document).ready(function() {
	function pasteToHTML(data){
		$('#error').hide();
		$.each(data, function(i, b) {
			if(i=='now') {
				if ($.isPlainObject(b)) {
					$.each(b, function(id, options){
						if(id=='icon')
							//$("#today #"+id).attr("src", "imagesWeather/"+options+".png");
							$(".info").css('background','url("imagesWeather/'+options+'.png") no-repeat top left');
						else
							$("#today #"+id).html(options);
					});
				}
			}
			else {
				if ($.isPlainObject(b)) {
					$.each(b, function(id, options){
						if(id=='icon')
							$("#days #"+i+" #"+id).attr("src", "imagesWeather/"+options+".png");
						else
							$("#days #"+i+" #"+id).html(options);
						if(id=='date')
							$("#days #"+i+" #weekday").attr("href", "http://www.pogodaspb.info/arch.php?date="+options);
					});
				}
			}
		});	
		$('#info').show();
	}
	
	function parseError(){
		$('#info').hide();
		$('#error').show();
	}
	
	function getWeather(){
		$.ajaxSetup( { "async": false } );
		var url='http://www.pogodaspb.info/jsonWeather.php';
		
		$.jsonp({
			type: 'GET',
			url: url,
			callbackParameter: 'callback',
			dataType: 'jsonp',
			success: function(data){
				pasteToHTML(data);
			},
			error: function(){
				parseError();
			}
		});
				
		
/* 		$.getJSON(url, function(data){							
			pasteToHTML(data);
		}); */
	}
	
	timeOut=null;
	var updateTime = 60;	//Частота обновления информации в минутах
	function updateWeather(){
		clearTimeout(timeOut);
		//$(".info, #days").fadeOut(200);
		getWeather();
		//$(".info, #days").fadeIn(200);		
		timeOut = setTimeout(updateWeather, updateTime*60*1000);
	}
	
/*  	$("#updateLink").get(0).onclick = function() {
	    updateWeather();
	} */
	
	$("#updateLink").live('click', function(){
		getWeather();
	});
	
	$('#background').attr('src', 'images/bg.png');
	
	updateWeather();
})